Bug 150344 - Relocate to node already running a service improperly fails
Relocate to node already running a service improperly fails
Status: CLOSED RAWHIDE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 14:05 EST by Derek Anderson
Modified: 2009-04-16 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 16:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-03-04 14:05:24 EST
Description of problem:
Service FOO is already running on node link-10.  Tell it to relocate
to link-10.  It correctly stops then restarts the service on link-10,
then reports failure.  My expectation is that this is considered success.

[root@link-08 ~]# clusvcadm -r FOO -m link-10
Trying to relocate FOO to link-10...failed
[root@link-08 ~]# echo $?
255

Version-Release number of selected component (if applicable):
1.9.20

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lon Hohberger 2005-03-04 14:11:20 EST
Correct, relocate service foo to node bar should be treated as a
"restart" operation.
Comment 2 Lon Hohberger 2005-03-21 16:07:35 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.